#ifndef __INTERFACES_SPI_INTERFACE_H__
#define __INTERFACES_SPI_INTERFACE_H__

#include <cstdint>

namespace pinetime::interfaces {

class SpiInterface
{
    public:
        virtual void send(const uint8_t * buffer, uint32_t len) = 0;
        virtual void recv(uint8_t * buffer, uint32_t len) = 0;
};
};

#endif
